CVE-2018-6759

CVE: CVE-2018-6759
Published: 2018-02-06T21:29Z
Description Language: en
Description: The bfd_get_debug_link_info_1 function in opncls.c in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.30, has an unchecked strnlen operation. Remote attackers could leverage this vulnerability to cause a denial of service (segmentation fault) via a crafted ELF file.
References:
http://www.securityfocus.com/bid/103030
https://sourceware.org/bugzilla/show_bug.cgi?id=22794